Package ru.bitel.bgbilling.modules.inet.server.event

# Class InetAccountingPeriodModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.PoolEvent
ru.bitel.bgbilling.modules.inet.server.event.InetAccountingPeriodModifiedEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class InetAccountingPeriodModifiedEvent
    extends ru.bitel.bgbilling.kernel.event.common.PoolEvent

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected InetAccountingPeriod` | `newItem` |
  `protected InetAccountingPeriod` | `oldItem` |

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `InetAccountingPeriodModifiedEvent()` |
  `` | `InetAccountingPeriodModifiedEvent​(int moduleId, int contractId, int userId, InetAccountingPeriod oldItem, InetAccountingPeriod newItem)` |
  `` | `InetAccountingPeriodModifiedEvent​(PoolEventPublisher<InetAccountingPeriodModifiedEvent> publisher, int contractId, int userId, InetAccountingPeriod oldItem, InetAccountingPeriod newItem)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `InetAccountingPeriod` | `getNewItem()` |
  `InetAccountingPeriod` | `getOldItem()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### oldItem

    protected final InetAccountingPeriod oldItem

  - ### newItem

    protected final InetAccountingPeriod newItem

- ## Constructor Details

  - ### InetAccountingPeriodModifiedEvent

    protected InetAccountingPeriodModifiedEvent()

  - ### InetAccountingPeriodModifiedEvent

    public InetAccountingPeriodModifiedEvent​(PoolEventPublisher<InetAccountingPeriodModifiedEvent> publisher, int contractId, int userId, InetAccountingPeriod oldItem, InetAccountingPeriod newItem)

  - ### InetAccountingPeriodModifiedEvent

    public InetAccountingPeriodModifiedEvent​(int moduleId, int contractId, int userId, InetAccountingPeriod oldItem, InetAccountingPeriod newItem)

- ## Method Details

  - ### getOldItem

    public InetAccountingPeriod getOldItem()

  - ### getNewItem

    public InetAccountingPeriod getNewItem()